export const basicComponents = [
    {
        type: 'input',
        icon: 'icon-input',
        css: 'form-input',//自定义css类名
        hideLabel:true,//是否隐藏标题
        fieldMap:'',//映射属性
        options: {
            width: '100%',
            defaultValue: '',
            required: false,
            dataType: 'string',
            pattern: '',
            placeholder: '',
            disabled: false,
        }
    },
    {
        type: 'textarea',
        icon: 'icon-diy-com-textarea',
        css: 'form-textarea',//自定义css类名
        hideLabel:true,//是否隐藏标题
        options: {
            width: '100%',
            defaultValue: '',
            required: false,
            disabled: false,
            pattern: '',
            placeholder: ''
        }
    },
    {
        type: 'number',
        icon: 'icon-number',
        css: 'form-number',//自定义css类名
        hideLabel:true,//是否隐藏标题
        options: {
            width: '100%',
            required: false,
            defaultValue: '',
            min: '',
            max: '',
            step: 1,
            disabled: false,
            controlsPosition: 'default'
        }
    },
    {
        type: 'radio',
        icon: 'icon-radio-active',
        css: 'form-radio',//自定义css类名
        hideLabel:true,//是否隐藏标题
        options: {
            inline: false,
            defaultValue: '',
            showLabel: false,
            options: [
                {
                    value: 'Option 1',
                    label: 'Option 1'
                },
                {
                    value: 'Option 2',
                    label: 'Option 2'
                },
                {
                    value: 'Option 3',
                    label: 'Option 3'
                }
            ],
            required: false,
            width: '100%',
            remote: false,
            remoteOptions: [],
            props: {
                value: 'value',
                label: 'label'
            },
            remoteFunc: '',
            disabled: false,
        }
    },
    {
        type: 'checkbox',
        icon: 'icon-check-box',
        css: 'form-checkbox',//自定义css类名
        hideLabel:true,//是否隐藏标题
        options: {
            inline: false,
            defaultValue: [],
            showLabel: false,
            options: [
                {
                    value: 'Option 1'
                },
                {
                    value: 'Option 2'
                },
                {
                    value: 'Option 3'
                }
            ],
            required: false,
            width: '100%',
            remote: false,
            remoteOptions: [],
            props: {
                value: 'value',
                label: 'label'
            },
            remoteFunc: '',
            disabled: false,
            fontSize:14,//默认大小
        }
    },
    {
        type: 'time',
        icon: 'icon-time',
        css: 'form-time',//自定义css类名
        hideLabel:true,//是否隐藏标题
        options: {
            defaultValue: '21:19:56',
            readonly: false,
            disabled: false,
            editable: true,
            clearable: true,
            placeholder: '',
            startPlaceholder: '',
            endPlaceholder: '',
            isRange: false,
            arrowControl: true,
            format: 'HH:mm:ss',
            required: false,
            width: '100%',
        }
    },
    {
        type: 'date',
        icon: 'icon-date',
        css: 'form-date',//自定义css类名
        hideLabel:true,//是否隐藏标题
        options: {
            defaultValue: '',
            readonly: false,
            disabled: false,
            editable: true,
            clearable: true,
            placeholder: '',
            startPlaceholder: '',
            endPlaceholder: '',
            type: 'date',
            format: 'yyyy-MM-dd',
            timestamp: false,
            required: false,
            width: '100%',
        }
    },
    {
        type: 'rate',
        icon: 'icon-pingfen1',
        css: 'form-rate',//自定义css类名
        hideLabel:true,//是否隐藏标题
        options: {
            defaultValue: null,
            max: 5,
            disabled: false,
            allowHalf: false,
            required: false
        }
    },
    {
        type: 'color',
        icon: 'icon-color',
        css: 'form-color',//自定义css类名
        hideLabel:true,//是否隐藏标题
        options: {
            defaultValue: '',
            disabled: false,
            showAlpha: false,
            required: false
        }
    },
    {
        type: 'select',
        icon: 'icon-select',
        css: 'form-select',//自定义css类名
        hideLabel:true,//是否隐藏标题
        options: {
            defaultValue: '',
            multiple: false,
            disabled: false,
            clearable: false,
            placeholder: '',
            required: false,
            showLabel: false,
            width: '100%',
            options: [
                {
                    value: 'Option 1'
                },
                {
                    value: 'Option 2'
                }, {
                    value: 'Option 3'
                }
            ],
            remote: false,
            filterable: false,
            remoteOptions: [],
            props: {
                value: 'value',
                label: 'label'
            },
            remoteFunc: ''
        }
    },
    {
        type: 'switch',
        icon: 'icon-switch',
        css: 'form-switch',//自定义css类名
        hideLabel:true,//是否隐藏标题
        options: {
            defaultValue: false,
            required: false,
            disabled: false,
        }
    },
    {
        type: 'slider',
        icon: 'icon-slider',
        css: 'form-slider',//自定义css类名
        hideLabel:true,//是否隐藏标题
        options: {
            defaultValue: 0,
            disabled: false,
            required: false,
            min: 0,
            max: 100,
            step: 1,
            showInput: false,
            range: false,
            width: '100%',
        }
    },
    {
        type: 'text',
        icon: 'icon-wenzishezhi-',
        css: '',//自定义css类名
        hideLabel:true,//是否隐藏标题
        options: {
            defaultValue: 'This is a text',
            customClass: '',
            width:'100%'
        }
    },
    {
        type: 'html',
        name: 'HMTL',
        icon: 'icon-Html',
        css: '',//自定义css类名
        hideLabel:true,//是否隐藏标题
        options: {
            defaultValue: 'This is a html',
            customClass: '',
        }
    }
]

export const advanceComponents = [
    {
        type: 'blank',
        icon: 'icon-zidingyishuju',
        css: '',//自定义css类名
        hideLabel:true,//是否隐藏标题
        options: {
            defaultType: 'String'
        }
    },
    {
        type: 'vuePreview',
        icon: 'icon-zidingyishuju',
        css: '',//自定义css类名
        hideLabel:true,//是否隐藏标题
        options: {
            defaultType: 'String'
        }
    },
    {
        type: 'imgupload',
        icon: 'icon-tupian',
        css: 'form-tupian form-grid-pic',//自定义css类名
        hideLabel:true,//是否隐藏标题
        options: {
            defaultValue: [],
            size: {
                width: 100,
                height: 100,
            },
            position:{
              top:0,
              left:0
            },
            width: '100%',
            tokenFunc: 'funcGetToken',
            token: '${token}',
            domain: 'http://pfp81ptt6.bkt.clouddn.com/',
            disabled: false,
            length: 1,
            multiple: false,
            isQiniu: false,
            isDelete: false,
            min: 0,
            isEdit: false,
            // action: 'https://jsonplaceholder.typicode.com/photos/',
            action: 'http://192.168.1.57:3000/jeecg-boot/common/bmFile/uploadFile',
            tokenField:'X-Access-Token',//token字段
            responseState:'success',//响应结果状态字段
            responseResult:'result',//响应结果结果集字段
            responseResultUrl:'url',//响应结果结果集中图片url字段
        }
    },
    {
        type: 'editor',
        icon: 'icon-fuwenbenkuang',
        css: 'form-editor',//自定义css类名
        hideLabel:true,//是否隐藏标题
        options: {
            defaultValue: '',
            width: '100%',
        }
    },
    {
        type: 'cascader',
        icon: 'icon-jilianxuanze',
        css: 'form-cascader',//自定义css类名
        hideLabel:true,//是否隐藏标题
        options: {
            defaultValue: [],
            width: '100%',
            placeholder: '',
            disabled: false,
            clearable: false,
            remote: true,
            remoteOptions: [],
            showAllLevels: true,//是否显示所有的路径
            separator: "/",//选项分隔符
            props: {
                value: 'value',
                label: 'label',
                children: 'children'
            },
            remoteFunc: ''
        }
    },
    {
        type: 'tableSelect',
        icon: 'icon-select',
        css: 'form-tableSelect',//自定义css类名
        hideLabel:true,//是否隐藏标题
        options: {
            multiple: false,
            disabled: false,
            clearable: false,
            placeholder: '',
            required: false,
            showLabel: false,
            width: '100%',
            remote: false,
            filterable: false,
            columns: [{
                dataIndex: 'value',
                title: '值'
            },{
                dataIndex: 'label',
                title: '名称'
            }],
            props: {
                value: 'value',
                label: 'label'
            },
            remoteFunc: '',
            dialogWidth:'50%'
        }
    },
    {
        type: 'uploadfile', // 组件类型，保持唯一
        name: '文件', //组件展示名称
        icon: 'icon-wenjianshangchuan', //组件展示icon, 如果需要自定义，请参考 如何自定义图标
        css: '',//自定义css类名
        hideLabel:true,//是否隐藏标题
        options: {
            defaultValue: [],
            max: 5,
            disabled: false,
            // action:'https://jsonplaceholder.typicode.com/posts/',
            action:'http://192.168.1.57:3000/jeecg-boot/common/bmFile/uploadFile',
            buttonTittle: '点击上传',
            tip: '只能上传jpg/png文件，且不超过500kb',
            multiple:true,
            limit:1,
            tokenField:'X-Access-Token',//token字段
            token:'${token}',
            responseState:'success',//响应结果状态字段
            responseResult:'result',//响应结果结果集字段
            responseResultUrl:'url',//响应结果结果集中图片url字段
            responseResultName:'name',//响应结果结果集中图片文件名字段
        }
    },
    {
        type: 'table', // 组件类型，保持唯一
        name: '子表单', //组件展示名称
        icon: 'icon-table', //组件展示icon, 如果需要自定义，请参考 如何自定义图标
        // css: 'form-sub-table',//自定义css类名
        css: 'form-grid-word-theme form-sub-table form-sub-table-word-theme',//自定义css类名
        hideLabel:true,//是否隐藏标题
        objectMap:'',//映射对象
        columns: [
            {
                span: 12,
                list: []
            },
            {
                span: 12,
                list: []
            }
        ],
        options: {
            gutter: 0,
            justify: 'start',
            align: 'top',
            defaultColumn:0,//默认显示行数
            mergeColumn:1,//合并列
            width: '100%',
        }
    },
    {
        type: 'esign', // 组件类型，保持唯一
        name: '在线签字', //组件展示名称
        icon: 'icon-zidingyishuju', //组件展示icon, 如果需要自定义，请参考 如何自定义图标
        css: '',//自定义css类名
        hideLabel:true,//是否隐藏标题
        options: {
            defaultValue: null,
            disabled: false,
            title: '在线签字',
            isEdit: true,
            size:{
              width: 80,
              height: 40,
            },
            tokenField:'X-Access-Token',//token字段
            token:'${token}',
            responseState:'success',//响应结果状态字段
            responseResult:'result',//响应结果结果集字段
            responseResultUrl:'url',//响应结果结果集中图片url字段
            responseResultName:'name',//响应结果结果集中图片文件名字段
        }
    }
]

export const layoutComponents = [
    {
        type: 'grid',
        icon: 'icon-grid-',
        css: 'form-grid form-grid-word-theme',//自定义css类名
        hideLabel:true,//是否隐藏标题
        columns: [
            {
                span: 12,
                list: []
            },
            {
                span: 12,
                list: []
            }
        ],
        options: {
            gutter: 0,
            justify: 'start',
            align: 'middle',
            width: '100%',
            //是否打印换页显示
            pageAfter: false,
        }
    },
    {
        type: 'tabs',
        name:'标签页',
        icon: 'icon-tabs',
        css: 'form-tabs',//自定义css类名
        hideLabel:true,//是否隐藏标题
        tabList:[{
            title:'标签1',
            list:[],//组件列表
        },{
            title:'标签2',
            list:[],//组件列表
        }],//标签信息
        height: null,//高度
        options: {
            type: 'card', //	风格类型
            closable: true, //标签是否可关闭
            stretch: false,//标签的宽度是否自撑开
        }
    },
    {
        type: 'divider',
        icon: 'icon-fengexian',
        css: 'form-divider',//自定义css类名
        hideLabel:true,//是否隐藏标题
        options: {
            direction: 'horizontal', //	设置分割线方向
            contentPosition: 'left', //设置分割线文案的位置
            defaultValue:'我是分割线',//分割线文案
            fontSize: 14,//文案字体大小
            lineHeight: 14,//线条粗细
        }
    }
]
