// import {console} from "vuedraggable/src/util/helper";


export default {
    /**
     * 该模块的常量，传入表单配置数据data中${变量名}将被替换，如${test.name.url}
     */
    constant:{
        applyName:'佛山市禅城区祖庙街道2019年下半年公开招聘工作人员报名表',
        test:{
            name:{
                url:"我是链接"
            }
        }
    },
    /**
     * 获取映射对象
     * @param resolve 回调函数
     */
    getObjectMap:function (resolve) {
        let data = [{
            value: 'bmStudentApply',
            label: '报名表'
        }, {
            value: '选项2',
            label: '双皮奶'
        }, {
            value: '选项3',
            label: '蚵仔煎'
        }, {
            value: '选项4',
            label: '龙须面'
        }, {
            value: '选项5',
            label: '北京烤鸭'
        }]
        resolve(data)
    },
    /**
     * 获取映射属性
     * @param val 映射对象
     * @param resolve 回调函数
     */
    getFieldMap:function (val,resolve) {
        //console.log('获取映射属性参数',val,this.$vue,this.$vue.$formConfig)
        let data = [{
            value: 'Beijing',
            label: '北京'
        }, {
            value: 'Shanghai',
            label: '上海'
        }, {
            value: 'Nanjing',
            label: '南京'
        }, {
            value: 'Chengdu',
            label: '成都'
        }, {
            value: 'Shenzhen',
            label: '深圳'
        }, {
            value: 'Guangzhou',
            label: '广州'
        }]

        if(val === '选项2'){
            data = [{
                value: 'value21',
                label: '选项21'
            }, {
                value: 'value22',
                label: '选项22'
            }, {
                value: 'value23',
                label: '选项23'
            }, {
                value: 'value24',
                label: '选项24'
            }, {
                value: 'value25',
                label: '选项25'
            }, {
                value: 'value26',
                label: '选项26'
            }]
        }
        if(val === '选项3'){
            data = [{
                value: 'value31',
                label: '选项31'
            }, {
                value: 'value32',
                label: '选项32'
            }, {
                value: 'value33',
                label: '选项33'
            }, {
                value: 'value34',
                label: '选项34'
            }, {
                value: 'value35',
                label: '选项35'
            }, {
                value: 'value36',
                label: '选项36'
            }]
        }


        if(val === 'bmStudentApply'){
            data = [{
                value: 'name',
                label: '姓名'
            }, {
                value: 'sex',
                label: '性别'
            }, {
                value: 'age',
                label: '年龄'
            }, {
                value: 'idCard',
                label: '身份证'
            }, {
                value: 'schoolName',
                label: '毕业学校'
            }, {
                value: 'date',
                label: '毕业时间'
            }, {
                value: 'education',
                label: '学历'
            }, {
                value: 'degree',
                label: '学位'
            }, {
                value: 'headImgUrl',
                label: '头像'
            }, {
                value: 'fileList',
                label: '附件'
            }]
        }

        if(val === 'school'){
            //学校
            data = [{
                value: 'name',
                label: '学校名称'
            }, {
                value: 'date',
                label: '毕业时间'
            }]
        }


        resolve(data)
    },
    /**
     * 获取子表的映射对象
     * @param superObjectMap 主表的映射对象
     * @param resolve 回调函数
     * 说明：
     *      映射对象中子表属性的变量名与该变量类型命名不一致，返回值中必须增加className属性，不然会影响子表中属性的映射
     *      如：
     *      [{
     *          value:'bmStudentFamilyList',该属性类型为BmStudentFamily
     *          label:'家庭情况',
     *          className:'bmStudentFamily'
     *      }]
     */
    getSubObjectMaps:function (superObjectMap,resolve) {

        let data = [{
            value: 'school',
            label: '学校',
            className:'bmStudentFamily'
        }, {
            value: 'subTable2',
            label: '子表2'
        }, {
            value: 'subTable3',
            label: '子表3'
        }, {
            value: 'subTable4',
            label: '子表4'
        }, {
            value: 'subTable5',
            label: '子表5'
        }]
        resolve(data)
    },
    /**
     * 检验自定义规则
     * @param rule 表单规则
     * @param value 表单值
     * @param callback 回调
     * @param customRule 自定义规则
     * @param {returnData} 表单返回数据
     */
    customRuleCheck(rule, value, callback,customRule,returnData){
        //console.warn('检验自定义规则',rule,value,customRule,returnData)
        // callback();
        callback(new Error('不符合报名条件，要求：'+customRule.limitName))
    },
    /**
     * 保存代码
     * @param code 代码
     * @param callback 回调函数，返回格式为{success: true,msg:'保存成功'}
     * 说明：
     *      该函数也可以在调用设计器时使用@saveCode实现
     */
    saveCode(code,callback){
        callback()
    },
    /**
     * 保存数据
     * @param code 数据
     * @param callback 回调函数，返回格式为{success: true,msg:'保存成功'}
     * 说明：
     *      该函数也可以在调用生成器时使用@saveData实现
     */
    saveData(code,callback){
        callback()
    },
    /**
     * 远端函数，用于加载下拉框，选项等数据填充
     */
    remoteFuncs: {
        remoteFunc1 (resolve,{value,widget,returnData}) {
            //console.log('远程加载下拉框',value,widget)
            let data = [{
                value: 'test1',
                label: '1-测试远端数据1'
            }, {
                value: 'test2',
                label: '1-测试远端数据2'
            }, {
                value: 'test3',
                label: '1-测试远端数据3'
            }, {
                value: 'test4',
                label: '1-测试远端数据4'
            }, {
                value: 'test5',
                label: '1-测试远端数据5'
            }]
            resolve(data)
        },
        remoteFunc2 (resolve,{widget,returnData}) {
            let data = [{
                value: 'test1',
                label: '2-测试远端数据1',
                dictCode:'dictCode-1'
            }, {
                value: 'test2',
                label: '2-测试远端数据2',
                dictCode:'dictCode-2'
            }, {
                value: 'test3',
                label: '2-测试远端数据3',
                dictCode:'dictCode-3'
            }, {
                value: 'test4',
                label: '2-测试远端数据4'
            }, {
                value: 'test5',
                label: '2-测试远端数据5'
            }]
            resolve(data)
        },
        /**
         * 测试级联选择器(一次性返回所有的数据)
         * @param resolve
         * @param widget
         * @param returnData
         * @param node
         */
        remoteFunc3(resolve,{widget,returnData,node}){
            //console.error('一次性加载联级选择器',node,widget)
            resolve(options)
        },
        数据字典: function (resolve, {widget,value}) {
            //console.error('数据字典',widget)
            setTimeout(()=>{
                resolve(options)
            },1000)
        },
        联级_地区: function (resolve, {widget,value}) {
            //console.error('数据字典',widget)
            options = [{"label":"广东省","value":"440000","children":[{"label":"广州市","value":"440100","children":[{"label":"荔湾区","value":"440103"},{"label":"越秀区","value":"440104"},{"label":"白云区","value":"440111"}]},{"label":"佛山市","value":"440600","children":[{"label":"禅城区","value":"440604"},{"label":"南海区","value":"440605"},{"label":"顺德区","value":"440606"}]}]}]
            setTimeout(()=>{
                resolve(options)
            },1000)
        },
        /**
         * 测试级联选择器懒加载子节点（懒加载子节点）
         * @param resolve
         * @param widget
         * @param returnData
         * @param node
         */
        remoteChildFunc (resolve,{widget,returnData,node}) {
            //console.error('加载联级选择器-懒加载子节点',node,widget)
            if(!node)return
            const { level } = node;
            let id = 2;
            setTimeout(() => {
                const nodes = Array.from({ length: level + 1 })
                    .map(item => ({
                        value: ++id,
                        label: `选项${id}`,
                        leaf: level >= 2
                    }));
                // 通过调用resolve将子节点数据返回，通知组件数据加载完成
                if(level ===0){
                    nodes.push({
                        value: "Beijing-4",
                        label: `我是Beijing默认值`,
                        leaf:true
                    })
                }
                resolve(nodes);
            }, 100);
        },
        /**
         * 表格选择器
         * @param resolve
         * @param widget
         * @param returnData
         */
        remoteFunc4 (resolve,{widget,returnData,value}) {
            let data = [{
                value: 'test1',
                label: '2-测试远端数据1',
                dictCode:'dictCode-1'
            }, {
                value: 'test2',
                label: '2-测试远端数据2',
                dictCode:'dictCode-2'
            }, {
                value: 'test3',
                label: '2-测试远端数据3',
                dictCode:'dictCode-3'
            }, {
                value: 'test4',
                label: '2-测试远端数据4'
            }, {
                value: 'test5',
                label: '2-测试远端数据5'
            }]
            resolve({records:data,total:100})
        },
    }







}




let options = [{
    "node": {
        "id": "1240486784875487233",
        "dictId": "1240486784699326466",
        "itemText": "英语",
        "itemValue": "language-01",
        "description": null,
        "sortOrder": 1,
        "status": 1,
        "createBy": "aosadmin",
        "createTime": "2020-03-19 11:54:31",
        "updateBy": null,
        "updateTime": null,
        "parentId": null,
        "dictCode": null
    },
    "key": "language-01",
    "title": "英语",
    "parentKey": null,
    "children": [{
        "node": {
            "id": "1240486784909041666",
            "dictId": "1240486784699326466",
            "itemText": "英语专业八级",
            "itemValue": "英语专业八级",
            "description": null,
            "sortOrder": 2,
            "status": 1,
            "createBy": "aosadmin",
            "createTime": "2020-03-19 11:54:31",
            "updateBy": null,
            "updateTime": null,
            "parentId": "1240486784875487233",
            "dictCode": null
        },
        "key": "英语专业八级",
        "title": "英语专业八级",
        "parentKey": "language-01",
        "children": []
    }, {
        "node": {
            "id": "1240486784934207490",
            "dictId": "1240486784699326466",
            "itemText": "英语专业四级",
            "itemValue": "英语专业四级",
            "description": null,
            "sortOrder": 3,
            "status": 1,
            "createBy": "aosadmin",
            "createTime": "2020-03-19 11:54:31",
            "updateBy": null,
            "updateTime": null,
            "parentId": "1240486784875487233",
            "dictCode": null
        },
        "key": "英语专业四级",
        "title": "英语专业四级",
        "parentKey": "language-01",
        "children": undefined
    }, {
        "node": {
            "id": "1240486784959373313",
            "dictId": "1240486784699326466",
            "itemText": "大学英语六级",
            "itemValue": "大学英语六级",
            "description": null,
            "sortOrder": 4,
            "status": 1,
            "createBy": "aosadmin",
            "createTime": "2020-03-19 11:54:31",
            "updateBy": null,
            "updateTime": null,
            "parentId": "1240486784875487233",
            "dictCode": null
        },
        "key": "大学英语六级",
        "title": "大学英语六级",
        "parentKey": "language-01",
        "children": []
    }, {
        "node": {
            "id": "1240486784976150530",
            "dictId": "1240486784699326466",
            "itemText": "大学英语四级",
            "itemValue": "大学英语四级",
            "description": null,
            "sortOrder": 5,
            "status": 1,
            "createBy": "aosadmin",
            "createTime": "2020-03-19 11:54:31",
            "updateBy": null,
            "updateTime": null,
            "parentId": "1240486784875487233",
            "dictCode": null
        },
        "key": "大学英语四级",
        "title": "大学英语四级",
        "parentKey": "language-01",
        "children": null,
        "leaf":true
    }]
}, {
    "node": {
        "id": "1240486784984539137",
        "dictId": "1240486784699326466",
        "itemText": "德语",
        "itemValue": "language-02",
        "description": null,
        "sortOrder": 6,
        "status": 1,
        "createBy": "aosadmin",
        "createTime": "2020-03-19 11:54:31",
        "updateBy": null,
        "updateTime": null,
        "parentId": null,
        "dictCode": null
    },
    "key": "language-02",
    "title": "德语",
    "parentKey": null,
    "children": [{
        "node": {
            "id": "1240486784997122049",
            "dictId": "1240486784699326466",
            "itemText": "德语六级(7)",
            "itemValue": "德语六级(7)",
            "description": null,
            "sortOrder": 7,
            "status": 1,
            "createBy": "aosadmin",
            "createTime": "2020-03-19 11:54:31",
            "updateBy": null,
            "updateTime": null,
            "parentId": "1240486784984539137",
            "dictCode": null
        },
        "key": "德语六级(7)",
        "title": "德语六级(7)",
        "parentKey": "language-02",
        "children": []
    }, {
        "node": {
            "id": "1240486785018093570",
            "dictId": "1240486784699326466",
            "itemText": "德语四级(8)",
            "itemValue": "德语四级(8)",
            "description": null,
            "sortOrder": 8,
            "status": 1,
            "createBy": "aosadmin",
            "createTime": "2020-03-19 11:54:31",
            "updateBy": null,
            "updateTime": null,
            "parentId": "1240486784984539137",
            "dictCode": null
        },
        "key": "德语四级(8)",
        "title": "德语四级(8)",
        "parentKey": "language-02",
        "children": []
    }, {
        "node": {
            "id": "1240486785026482178",
            "dictId": "1240486784699326466",
            "itemText": "德语专业四级(F)",
            "itemValue": "德语专业四级(F)",
            "description": null,
            "sortOrder": 9,
            "status": 1,
            "createBy": "aosadmin",
            "createTime": "2020-03-19 11:54:31",
            "updateBy": null,
            "updateTime": null,
            "parentId": "1240486784984539137",
            "dictCode": null
        },
        "key": "德语专业四级(F)",
        "title": "德语专业四级(F)",
        "parentKey": "language-02",
        "children": []
    }, {
        "node": {
            "id": "1240486785043259393",
            "dictId": "1240486784699326466",
            "itemText": "德语专业八级(G)",
            "itemValue": "德语专业八级(G)",
            "description": null,
            "sortOrder": 10,
            "status": 1,
            "createBy": "aosadmin",
            "createTime": "2020-03-19 11:54:31",
            "updateBy": null,
            "updateTime": null,
            "parentId": "1240486784984539137",
            "dictCode": null
        },
        "key": "德语专业八级(G)",
        "title": "德语专业八级(G)",
        "parentKey": "language-02",
        "children": []
    }]
}, {
    "node": {
        "id": "1240486785051648002",
        "dictId": "1240486784699326466",
        "itemText": "法语",
        "itemValue": "language-03",
        "description": null,
        "sortOrder": 11,
        "status": 1,
        "createBy": "aosadmin",
        "createTime": "2020-03-19 11:54:31",
        "updateBy": null,
        "updateTime": null,
        "parentId": null,
        "dictCode": null
    },
    "key": "language-03",
    "title": "法语",
    "parentKey": null,
    "children": [{
        "node": {
            "id": "1240486785055842306",
            "dictId": "1240486784699326466",
            "itemText": "法语六级(9)",
            "itemValue": "法语六级(9)",
            "description": null,
            "sortOrder": 12,
            "status": 1,
            "createBy": "aosadmin",
            "createTime": "2020-03-19 11:54:31",
            "updateBy": null,
            "updateTime": null,
            "parentId": "1240486785051648002",
            "dictCode": null
        },
        "key": "法语六级(9)",
        "title": "法语六级(9)",
        "parentKey": "language-03",
        "children": []
    }, {
        "node": {
            "id": "1240486785068425217",
            "dictId": "1240486784699326466",
            "itemText": "法语四级(A)",
            "itemValue": "法语四级(A)",
            "description": null,
            "sortOrder": 13,
            "status": 1,
            "createBy": "aosadmin",
            "createTime": "2020-03-19 11:54:31",
            "updateBy": null,
            "updateTime": null,
            "parentId": "1240486785051648002",
            "dictCode": null
        },
        "key": "法语四级(A)",
        "title": "法语四级(A)",
        "parentKey": "language-03",
        "children": []
    }, {
        "node": {
            "id": "1240486785081008130",
            "dictId": "1240486784699326466",
            "itemText": "法语专业四级(H)",
            "itemValue": "法语专业四级(H)",
            "description": null,
            "sortOrder": 14,
            "status": 1,
            "createBy": "aosadmin",
            "createTime": "2020-03-19 11:54:31",
            "updateBy": null,
            "updateTime": null,
            "parentId": "1240486785051648002",
            "dictCode": null
        },
        "key": "法语专业四级(H)",
        "title": "法语专业四级(H)",
        "parentKey": "language-03",
        "children": []
    }, {
        "node": {
            "id": "1240486785089396737",
            "dictId": "1240486784699326466",
            "itemText": "法语专业八级(I)",
            "itemValue": "法语专业八级(I)",
            "description": null,
            "sortOrder": 15,
            "status": 1,
            "createBy": "aosadmin",
            "createTime": "2020-03-19 11:54:31",
            "updateBy": null,
            "updateTime": null,
            "parentId": "1240486785051648002",
            "dictCode": null
        },
        "key": "法语专业八级(I)",
        "title": "法语专业八级(I)",
        "parentKey": "language-03",
        "children": []
    }]
}, {
    "node": {
        "id": "1240486785101979649",
        "dictId": "1240486784699326466",
        "itemText": "俄语",
        "itemValue": "language-04",
        "description": null,
        "sortOrder": 16,
        "status": 1,
        "createBy": "aosadmin",
        "createTime": "2020-03-19 11:54:31",
        "updateBy": null,
        "updateTime": null,
        "parentId": null,
        "dictCode": null
    },
    "key": "language-04",
    "title": "俄语",
    "parentKey": null,
    "children": [{
        "node": {
            "id": "1240486785118756865",
            "dictId": "1240486784699326466",
            "itemText": "俄语专业八级(10)",
            "itemValue": "俄语专业八级(10)",
            "description": null,
            "sortOrder": 17,
            "status": 1,
            "createBy": "aosadmin",
            "createTime": "2020-03-19 11:54:31",
            "updateBy": null,
            "updateTime": null,
            "parentId": "1240486785101979649",
            "dictCode": null
        },
        "key": "俄语专业八级(10)",
        "title": "俄语专业八级(10)",
        "parentKey": "language-04",
        "children": []
    }, {
        "node": {
            "id": "1240486785122951169",
            "dictId": "1240486784699326466",
            "itemText": "俄语六级(5)",
            "itemValue": "俄语六级(5)",
            "description": null,
            "sortOrder": 18,
            "status": 1,
            "createBy": "aosadmin",
            "createTime": "2020-03-19 11:54:31",
            "updateBy": null,
            "updateTime": null,
            "parentId": "1240486785101979649",
            "dictCode": null
        },
        "key": "俄语六级(5)",
        "title": "俄语六级(5)",
        "parentKey": "language-04",
        "children": []
    }]
}, {
    "node": {
        "id": "1240486785148116993",
        "dictId": "1240486784699326466",
        "itemText": "日语",
        "itemValue": "language-05",
        "description": null,
        "sortOrder": 20,
        "status": 1,
        "createBy": "aosadmin",
        "createTime": "2020-03-19 11:54:31",
        "updateBy": null,
        "updateTime": null,
        "parentId": null,
        "dictCode": null
    },
    "key": "language-05",
    "title": "日语",
    "parentKey": null,
    "children": [{
        "node": {
            "id": "1240486785160699906",
            "dictId": "1240486784699326466",
            "itemText": "日语四级(B)",
            "itemValue": "日语四级(B)",
            "description": null,
            "sortOrder": 21,
            "status": 1,
            "createBy": "aosadmin",
            "createTime": "2020-03-19 11:54:31",
            "updateBy": null,
            "updateTime": null,
            "parentId": "1240486785148116993",
            "dictCode": null
        },
        "key": "日语四级(B)",
        "title": "日语四级(B)",
        "parentKey": "language-05",
        "children": []
    }, {
        "node": {
            "id": "1240486785173282818",
            "dictId": "1240486784699326466",
            "itemText": "日语三级(C)",
            "itemValue": "日语三级(C)",
            "description": null,
            "sortOrder": 22,
            "status": 1,
            "createBy": "aosadmin",
            "createTime": "2020-03-19 11:54:31",
            "updateBy": null,
            "updateTime": null,
            "parentId": "1240486785148116993",
            "dictCode": null
        },
        "key": "日语三级(C)",
        "title": "日语三级(C)",
        "parentKey": "language-05",
        "children": []
    }, {
        "node": {
            "id": "1240486785181671426",
            "dictId": "1240486784699326466",
            "itemText": "日语二级(D)",
            "itemValue": "日语二级(D)",
            "description": null,
            "sortOrder": 23,
            "status": 1,
            "createBy": "aosadmin",
            "createTime": "2020-03-19 11:54:31",
            "updateBy": null,
            "updateTime": null,
            "parentId": "1240486785148116993",
            "dictCode": null
        },
        "key": "日语二级(D)",
        "title": "日语二级(D)",
        "parentKey": "language-05",
        "children": []
    }, {
        "node": {
            "id": "1240486785194254338",
            "dictId": "1240486784699326466",
            "itemText": "日语一级(E)",
            "itemValue": "日语一级(E)",
            "description": null,
            "sortOrder": 24,
            "status": 1,
            "createBy": "aosadmin",
            "createTime": "2020-03-19 11:54:31",
            "updateBy": null,
            "updateTime": null,
            "parentId": "1240486785148116993",
            "dictCode": null
        },
        "key": "日语一级(E)",
        "title": "日语一级(E)",
        "parentKey": "language-05",
        "children": []
    }, {
        "node": {
            "id": "1240486785202642945",
            "dictId": "1240486784699326466",
            "itemText": "日语专业八级(E6)",
            "itemValue": "日语专业八级(E6)",
            "description": null,
            "sortOrder": 25,
            "status": 1,
            "createBy": "aosadmin",
            "createTime": "2020-03-19 11:54:31",
            "updateBy": null,
            "updateTime": null,
            "parentId": "1240486785148116993",
            "dictCode": null
        },
        "key": "日语专业八级(E6)",
        "title": "日语专业八级(E6)",
        "parentKey": "language-05",
        "children": []
    }, {
        "node": {
            "id": "1240486785211031554",
            "dictId": "1240486784699326466",
            "itemText": "日语专业四级(E7)",
            "itemValue": "日语专业四级(E7)",
            "description": null,
            "sortOrder": 26,
            "status": 1,
            "createBy": "aosadmin",
            "createTime": "2020-03-19 11:54:31",
            "updateBy": null,
            "updateTime": null,
            "parentId": "1240486785148116993",
            "dictCode": null
        },
        "key": "日语专业四级(E7)",
        "title": "日语专业四级(E7)",
        "parentKey": "language-05",
        "children": []
    }]
}, {
    "node": {
        "id": "1240486785223614466",
        "dictId": "1240486784699326466",
        "itemText": "其它",
        "itemValue": "language-06",
        "description": null,
        "sortOrder": 27,
        "status": 1,
        "createBy": "aosadmin",
        "createTime": "2020-03-19 11:54:31",
        "updateBy": null,
        "updateTime": null,
        "parentId": null,
        "dictCode": null
    },
    "key": "language-06",
    "title": "其它",
    "parentKey": null,
    "children": [{
        "node": {
            "id": "1240486785232003074",
            "dictId": "1240486784699326466",
            "itemText": "其它",
            "itemValue": "其它",
            "description": null,
            "sortOrder": 28,
            "status": 1,
            "createBy": "aosadmin",
            "createTime": "2020-03-19 11:54:31",
            "updateBy": null,
            "updateTime": null,
            "parentId": "1240486785223614466",
            "dictCode": null
        },
        "key": "其它",
        "title": "其它",
        "parentKey": "language-06",
        "children": []
    }]
}]

