// import {console} from "vuedraggable/src/util/helper";


export default {
    /**
     * 该模块的常量，传入表单配置数据data中${变量名}将被替换，如${test.name.url}
     */
    constant:{
        applyName:'佛山市禅城区祖庙街道2019年下半年公开招聘工作人员报名表',
        test:{
            name:{
                url:"我是链接"
            }
        }
    },
    /**
     * 获取映射对象
     * @param resolve 回调函数
     */
    getObjectMap:function (resolve) {
        let data = [{
            value: 'apply',
            label: 't-报名表'
        }, {
            value: '选项2',
            label: 't-双皮奶'
        }, {
            value: '选项3',
            label: 't-蚵仔煎'
        }, {
            value: '选项4',
            label: 't-龙须面'
        }, {
            value: '选项5',
            label: 't-北京烤鸭'
        }]
        resolve(data)
    },
    /**
     * 获取映射属性
     * @param val 映射对象
     * @param resolve 回调函数
     */
    getFieldMap:function (val,resolve) {
        //console.log('获取映射属性参数',val,this.$vue,this.$vue.$formConfig)
        let data = [{
            value: 'Beijing',
            label: '北京'
        }, {
            value: 'Shanghai',
            label: '上海'
        }, {
            value: 'Nanjing',
            label: '南京'
        }, {
            value: 'Chengdu',
            label: '成都'
        }, {
            value: 'Shenzhen',
            label: '深圳'
        }, {
            value: 'Guangzhou',
            label: '广州'
        }]

        if(val === '选项2'){
            data = [{
                value: 'value21',
                label: '选项21'
            }, {
                value: 'value22',
                label: '选项22'
            }, {
                value: 'value23',
                label: '选项23'
            }, {
                value: 'value24',
                label: '选项24'
            }, {
                value: 'value25',
                label: '选项25'
            }, {
                value: 'value26',
                label: '选项26'
            }]
        }
        if(val === '选项3'){
            data = [{
                value: 'value31',
                label: '选项31'
            }, {
                value: 'value32',
                label: '选项32'
            }, {
                value: 'value33',
                label: '选项33'
            }, {
                value: 'value34',
                label: '选项34'
            }, {
                value: 'value35',
                label: '选项35'
            }, {
                value: 'value36',
                label: '选项36'
            }]
        }


        if(val === 'apply'){
            data = [{
                value: 'name',
                label: 't-姓名'
            }, {
                value: 'sex',
                label: 't-性别'
            }, {
                value: 'age',
                label: 't-年龄'
            }, {
                value: 'idCard',
                label: 't-身份证'
            }, {
                value: 'schoolName',
                label: 't-毕业学校'
            }, {
                value: 'date',
                label: 't-毕业时间'
            }, {
                value: 'education',
                label: 't-学历'
            }, {
                value: 'degree',
                label: 't-学位'
            }]
        }

        if(val === 'school'){
            //学校
            data = [{
                value: 'name',
                label: '学校名称'
            }, {
                value: 'date',
                label: '毕业时间'
            }]
        }


        resolve(data)
    },
    /**
     * 获取子表的映射对象
     * @param superObjectMap 主表的映射对象
     * @param resolve 回调函数
     */
    getSubObjectMaps:function (superObjectMap,resolve) {

        let data = [{
            value: 'school',
            label: '学校'
        }, {
            value: 'subTable2',
            label: '子表2'
        }, {
            value: 'subTable3',
            label: '子表3'
        }, {
            value: 'subTable4',
            label: '子表4'
        }, {
            value: 'subTable5',
            label: '子表5'
        }]
        resolve(data)
    },
    /**
     * 检验自定义规则
     * @param rule 表单规则
     * @param value 表单值
     * @param callback 回调
     * @param customRule 自定义规则
     * @param {returnData} 表单返回数据
     */
    customRuleCheck(rule, value, callback,customRule,returnData){
        //console.warn('检验自定义规则',rule,value,customRule,returnData)
        // callback();
        callback(new Error('不符合报名条件，要求：'+customRule.limitName))
    },
    /**
     * 保存代码
     * @param code 代码
     * @param callback 回调函数，返回格式为{success: true,msg:'保存成功'}
     * 说明：
     *      该函数也可以在调用设计器时使用@saveCode实现
     */
    saveCode(code,callback){
        callback()
    },
    /**
     * 保存数据
     * @param code 数据
     * @param callback 回调函数，返回格式为{success: true,msg:'保存成功'}
     * 说明：
     *      该函数也可以在调用生成器时使用@saveData实现
     */
    saveData(code,callback){
        callback()
    },
    /**
     * 远端函数，用于加载下拉框，选项等数据填充
     */
    remoteFuncs: {
        remoteFunc1 (resolve,{widget,returnData}) {
            let data = [{
                value: 'test1',
                label: '1-测试远端数据1'
            }, {
                value: 'test2',
                label: '1-测试远端数据2'
            }, {
                value: 'test3',
                label: '1-测试远端数据3'
            }, {
                value: 'test4',
                label: '1-测试远端数据4'
            }, {
                value: 'test5',
                label: '1-测试远端数据5'
            }]
            resolve(data)
        },
        remoteFunc2 (resolve,{widget,returnData}) {
            let data = [{
                value: 'test1',
                label: '2-测试远端数据1'
            }, {
                value: 'test2',
                label: '2-测试远端数据2'
            }, {
                value: 'test3',
                label: '2-测试远端数据3'
            }, {
                value: 'test4',
                label: '2-测试远端数据4'
            }, {
                value: 'test5',
                label: '2-测试远端数据5'
            }]
            resolve(data)
        },
        /**
         * 测试级联选择器(一次性返回所有的数据)
         * @param resolve
         * @param widget
         * @param returnData
         * @param node
         */
        remoteFunc3(resolve,{widget,returnData,node}){
            resolve(options)
        },

        /**
         * 懒加载子节点（懒加载子节点）
         * @param resolve
         * @param widget
         * @param returnData
         * @param node
         */
        remoteChildFunc (resolve,{widget,returnData,node}) {
            const { level } = node;
            let id = 0;
            setTimeout(() => {
                const nodes = Array.from({ length: level + 1 })
                    .map(item => ({
                        value: ++id,
                        label: `选项${id}`,
                        leaf: level >= 2
                    }));
                // 通过调用resolve将子节点数据返回，通知组件数据加载完成
                resolve(nodes);
            }, 1000);
        },
    }







}




let options = [{
    value: 'zhinan',
    label: '指南',
    children: [{
        value: 'shejiyuanze',
        label: '设计原则',
        children: [{
            value: 'yizhi',
            label: '一致'
        }, {
            value: 'fankui',
            label: '反馈'
        }, {
            value: 'xiaolv',
            label: '效率'
        }, {
            value: 'kekong',
            label: '可控'
        }]
    }, {
        value: 'daohang',
        label: '导航',
        children: [{
            value: 'cexiangdaohang',
            label: '侧向导航'
        }, {
            value: 'dingbudaohang',
            label: '顶部导航'
        }]
    }]
}, {
    value: 'zujian',
    label: '组件',
    children: [{
        value: 'basic',
        label: 'Basic',
        children: [{
            value: 'layout',
            label: 'Layout 布局'
        }, {
            value: 'color',
            label: 'Color 色彩'
        }, {
            value: 'typography',
            label: 'Typography 字体'
        }, {
            value: 'icon',
            label: 'Icon 图标'
        }, {
            value: 'button',
            label: 'Button 按钮'
        }]
    }, {
        value: 'form',
        label: 'Form',
        children: [{
            value: 'radio',
            label: 'Radio 单选框'
        }, {
            value: 'checkbox',
            label: 'Checkbox 多选框'
        }, {
            value: 'input',
            label: 'Input 输入框'
        }, {
            value: 'input-number',
            label: 'InputNumber 计数器'
        }, {
            value: 'select',
            label: 'Select 选择器'
        }, {
            value: 'cascader',
            label: 'Cascader 级联选择器'
        }, {
            value: 'switch',
            label: 'Switch 开关'
        }, {
            value: 'slider',
            label: 'Slider 滑块'
        }, {
            value: 'time-picker',
            label: 'TimePicker 时间选择器'
        }, {
            value: 'date-picker',
            label: 'DatePicker 日期选择器'
        }, {
            value: 'datetime-picker',
            label: 'DateTimePicker 日期时间选择器'
        }, {
            value: 'upload',
            label: 'Upload 上传'
        }, {
            value: 'rate',
            label: 'Rate 评分'
        }, {
            value: 'form',
            label: 'Form 表单'
        }]
    }, {
        value: 'data',
        label: 'Data',
        children: [{
            value: 'table',
            label: 'Table 表格'
        }, {
            value: 'tag',
            label: 'Tag 标签'
        }, {
            value: 'progress',
            label: 'Progress 进度条'
        }, {
            value: 'tree',
            label: 'Tree 树形控件'
        }, {
            value: 'pagination',
            label: 'Pagination 分页'
        }, {
            value: 'badge',
            label: 'Badge 标记'
        }]
    }, {
        value: 'notice',
        label: 'Notice',
        children: [{
            value: 'alert',
            label: 'Alert 警告'
        }, {
            value: 'loading',
            label: 'Loading 加载'
        }, {
            value: 'message',
            label: 'Message 消息提示'
        }, {
            value: 'message-box',
            label: 'MessageBox 弹框'
        }, {
            value: 'notification',
            label: 'Notification 通知'
        }]
    }, {
        value: 'navigation',
        label: 'Navigation',
        children: [{
            value: 'menu',
            label: 'NavMenu 导航菜单'
        }, {
            value: 'tabs',
            label: 'Tabs 标签页'
        }, {
            value: 'breadcrumb',
            label: 'Breadcrumb 面包屑'
        }, {
            value: 'dropdown',
            label: 'Dropdown 下拉菜单'
        }, {
            value: 'steps',
            label: 'Steps 步骤条'
        }]
    }, {
        value: 'others',
        label: 'Others',
        children: [{
            value: 'dialog',
            label: 'Dialog 对话框'
        }, {
            value: 'tooltip',
            label: 'Tooltip 文字提示'
        }, {
            value: 'popover',
            label: 'Popover 弹出框'
        }, {
            value: 'card',
            label: 'Card 卡片'
        }, {
            value: 'carousel',
            label: 'Carousel 走马灯'
        }, {
            value: 'collapse',
            label: 'Collapse 折叠面板'
        }]
    }]
}, {
    value: 'ziyuan',
    label: '资源',
    children: [{
        value: 'axure',
        label: 'Axure Components'
    }, {
        value: 'sketch',
        label: 'Sketch Templates'
    }, {
        value: 'jiaohu',
        label: '组件交互文档'
    }]
}]

