const TerserPlugin = require('terser-webpack-plugin')
const { name, version, author, description } = require('./package');
const moment = require('moment');
const date = moment().format('YYYY-MM-DD HH:mm:ss')


module.exports = {
  productionSourceMap: false,
  publicPath: './',
  /*是否使用编译器*/
  runtimeCompiler: true,
  configureWebpack: config => {
    let plugins = [
      new TerserPlugin({
        terserOptions: {
          compress: {
            warnings: false,
            drop_debugger: false,
            drop_console: true,
          },
        },
        extractComments: {
          condition: true,
          // filename: (fileData) => {
          //   // The "fileData" argument contains object with "filename", "basename", "query" and "hash"
          //   return `${fileData.filename}.LICENSE.txt${fileData.query}`;
          // },
          banner: (commentsFile) => {
            return `
                   * Name ${name}
                   * Version ${version}
                   * Author: ${author}
                   * Description: ${description}
                   * Date: ${date}`;
          },
        },
        sourceMap: false,
        parallel: true,
      }),
    ]
    if (process.env.NODE_ENV !== 'development') {
      config.plugins = [...config.plugins, ...plugins]
    }
  }
}
